Package org.eclipse.emf.cdo.spi.server

# Interface InternalSynchronizableRepository

All Superinterfaces:
  `CDOBranchHandler`, `CDOCommitInfoHandler`, `CDOCommonRepository`, `CDOLockChangeInfoHandler`, `CDORawReplicationContext`, `CDOReplicationContext`, `CDOReplicationInfo`, `CDORevisionUnchunker`, `CDOTimeProvider`, `IAdaptable`, `org.eclipse.net4j.util.container.IContainer<Object>`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `IDurableLockingManager.LockArea.Handler`, `org.eclipse.net4j.util.concurrent.IExecutorServiceProvider`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.container.IManagedContainerProvider`, `org.eclipse.net4j.util.event.INotifier`, `InternalCDOBranchManager.BranchLoader`, `InternalCDOBranchManager.BranchLoader2`, `InternalCDOBranchManager.BranchLoader3`, `InternalCDOBranchManager.BranchLoader4`, `InternalCDOBranchManager.BranchLoader5`, `InternalCDOCommitInfoManager.CommitInfoLoader`, `InternalCDOPackageRegistry.PackageLoader`, `InternalCDOPackageRegistry.PackageProcessor`, `InternalCDORevisionManager.RevisionLoader`, `InternalCDORevisionManager.RevisionLoader2`, `InternalCDORevisionManager.RevisionLoader3`, `InternalRepository`, `org.eclipse.net4j.util.properties.IPropertiesContainer`, `IQueryHandlerProvider`, `IRepository`, `ISynchronizableRepository`, `org.eclipse.net4j.util.security.operations.OperationAuthorizer<ISession>`

All Known Subinterfaces:
  `InternalFailoverParticipant`

public interface InternalSynchronizableRepository extends ISynchronizableRepository, InternalRepository, CDOReplicationContext, CDORawReplicationContext, CDOLockChangeInfoHandler
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  3.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.CDOCommonRepository

`CDOCommonRepository.CommitInfoStorage, CDOCommonRepository.IDGenerationLocation, CDOCommonRepository.ListOrdering, CDOCommonRepository.State, CDOCommonRepository.StateChangedEvent, CDOCommonRepository.Type, CDOCommonRepository.TypeChangedEvent`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E extends Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends Object>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

`InternalCDOBranchManager.BranchLoader.BranchInfo, InternalCDOBranchManager.BranchLoader.SubBranchInfo`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.spi.server.InternalRepository

`InternalRepository.PackagesInitializedEvent, InternalRepository.PostActivateable`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.IRepository

`IRepository.Handler, IRepository.Props, IRepository.ReadAccessHandler, IRepository.WriteAccessHandler`

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

`NEW_BRANCH, NEW_LOCAL_BRANCH`

### Fields inherited from interface org.eclipse.emf.cdo.server.IRepository

`SYSTEM_USER_ID`

## Method Summary

Modifier and Type
Method
Description
`InternalSession`
`getReplicatorSession()`
`InternalRepositorySynchronizer`
`getSynchronizer()`
`void`
`setLastReplicatedBranchID(int lastReplicatedBranchID)`
`void`
`setLastReplicatedCommitTime(long lastReplicatedCommitTime)`
`void`
`setSynchronizer(InternalRepositorySynchronizer synchronizer)`

### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchHandler

`handleBranch`

### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOCommitInfoHandler

`handleCommitInfo`

### Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonRepository

`getCommitInfoStorage, getCreationTime, getIDGenerationLocation, getName, getObjectIDTypes, getRootResourceID, getState, getStoreType, getType, getUUID, isAuthenticating, isAuthorizingOperations, isEnsuringReferentialIntegrity, isSerializingCommits, isSupportingAudits, isSupportingBranches, isSupportingEcore, isSupportingLoginPeeks, isSupportingUnits, waitWhileInitial`

### Methods inherited from interface org.eclipse.emf.cdo.common.lock.CDOLockChangeInfoHandler

`handleLockChangeInfo`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.CDORawReplicationContext

`replicateRaw`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.CDOReplicationInfo

`getLastReplicatedBranchID, getLastReplicatedCommitTime, getLockAreaIDs`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.revision.CDORevisionUnchunker

`ensureChunks`

### Methods inherited from interface org.eclipse.emf.cdo.common.util.CDOTimeProvider

`getTimeStamp`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.emf.cdo.common.lock.IDurableLockingManager.LockArea.Handler

`handleLockArea`

### Methods inherited from interface org.eclipse.net4j.util.concurrent.IExecutorServiceProvider

`getExecutorService`

### Methods inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`activate, deactivate, getLifecycleState, isActive`

### Methods inherited from interface org.eclipse.net4j.util.container.IManagedContainerProvider

`getContainer`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

`createBranch, loadBranch, loadBranches, loadSubBranches`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader2

`deleteBranch, renameBranch`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader3

`renameBranch`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader4

`changeTag, loadTags`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader5

`deleteBranches`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.commit.InternalCDOCommitInfoManager.CommitInfoLoader

`loadCommitData, loadCommitInfos`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.model.InternalCDOPackageRegistry.PackageLoader

`loadPackages`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.model.InternalCDOPackageRegistry.PackageProcessor

`processPackage`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.revision.InternalCDORevisionManager.RevisionLoader

`loadRevisionByVersion, loadRevisions`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.revision.InternalCDORevisionManager.RevisionLoader2

`loadObjectLifetime`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.revision.InternalCDORevisionManager.RevisionLoader3

`loadRevisions`

### Methods inherited from interface org.eclipse.emf.cdo.spi.server.InternalRepository

`addOperationAuthorizer, commit, createCommitContext, createCommitTimeStamp, endCommit, ensureChunk, ensureChunks, executeOutsideStartCommit, failCommit, forceCommitTimeStamp, getBranchManager, getChangeSet, getCommitInfoManager, getCommitManager, getLockingManager, getLockManager, getMergeData, getMergeData2, getOptimisticLockingTimeout, getPackageRegistry, getPackageRegistry, getPackageRegistryCommitLock, getQueryManager, getRevisionManager, getSessionManager, getStore, getTimeProvider, getUnitManager, handleLobs, handleRevisions, initMainBranch, initSystemPackages, initSystemPackages, isSkipInitialization, loadLob, lock, notifyReadAccessHandlers, notifyWriteAccessHandlers, queryLobs, replicate, replicateRaw, sendCommitNotification, sendCommitNotification, sendCommitNotification, setBranchManager, setCommitConflictResolver, setContainer, setLastCommitTimeStamp, setName, setOptimisticLockingTimeout, setProperties, setProtector, setQueryHandlerProvider, setRevisionManager, setRootResourceID, setSessionManager, setSkipInitialization, setState, setStore, setTimeProvider, setType, setUnitManager, unlock, unlock`

### Methods inherited from interface org.eclipse.net4j.util.properties.IPropertiesContainer

`properties`

### Methods inherited from interface org.eclipse.emf.cdo.server.IQueryHandlerProvider

`getQueryHandler`

### Methods inherited from interface org.eclipse.emf.cdo.server.IRepository

`addCommitInfoHandler, addHandler, getCommitConflictResolver, getCommitInfoHandlers, getHandlers, getLastCommitTimeStamp, getProperties, getProtector, getQueryHandlerProvider, removeCommitInfoHandler, removeHandler, setInitialPackages, validateTimeStamp, waitForCommit`

### Methods inherited from interface org.eclipse.emf.cdo.server.ISynchronizableRepository

`getLastReplicatedBranchID, getLastReplicatedCommitTime, goOffline, goOnline, hasBeenReplicated`

### Methods inherited from interface org.eclipse.net4j.util.security.operations.OperationAuthorizer

`authorizeOperation`

## Method Details

### getSynchronizer

InternalRepositorySynchronizer getSynchronizer()

Specified by:
  `getSynchronizer` in interface `ISynchronizableRepository`

### setSynchronizer

void setSynchronizer(InternalRepositorySynchronizer synchronizer)

### getReplicatorSession

InternalSession getReplicatorSession()

Specified by:
  `getReplicatorSession` in interface `ISynchronizableRepository`

### setLastReplicatedBranchID

void setLastReplicatedBranchID(int lastReplicatedBranchID)

### setLastReplicatedCommitTime

void setLastReplicatedCommitTime(long lastReplicatedCommitTime)